<?php
/** 
* installer.php [Russian [Ru]]
*
* @package language cBB Installer
* @version $Id: installer.php v1.0.1 10/09/2014 $
*
* @copyright (c) 2014 CaniDev
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

// DO NOT CHANGE
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

/* General */
$lang = array_merge($lang, array(
	'OVERVIEW_TITLE'		=> 'Установка мода «%1$s» версии %2$s.',
	'OVERVIEW_BODY'			=> 'Вы находитесь в инсталляторе мода «%1$s» для phpBB 3.0.x. Здесь вы можете либо установить, либо обновить, либо удалить мод «%1$s». Для получения
					   дополнительной информации, пожалуйста, прочтите руководство по установке мода, которое находится в директории <em>/contrib/</em> дистрибутива мода.<br /><br />
					   Нажмите кнопку «Установка» в правом нижнем углу для запуска процесса установки мода.',

	'INSTALLER_TITLE'		=> 'Установка мода «%1$s» версии %3$s',

	'BACK'				=> 'Вернуться',
	'FINAL'				=> 'Последний шаг',
	'FORUM_GO'			=> 'Перейти на форум',
	'HOME'				=> 'Главная',
	'INTRO'				=> 'Введение',
	'INST_ERR'			=> 'Во время установки мода произошла ошибка. Причиной ошибки могут быть неверно сделанные правки в файлах форума, либо отсутствие необходимых файлов форума.',
	'LOADING'			=> 'Загрузка',
	'NEED_HELP'			=> 'Нужна помощь?',
	'NOMOD'				=> 'Мод не установлен.',
	'ONLINE_DOCUMENTATION'		=> 'Онлайновая документация',
	'OPTIONAL_CHECKS'		=> 'Дополнительные требования',
	'REQUIRED_CHECKS'		=> 'Необходимые требования',
	'REQUIREMENTS'			=> 'Требования',
	'SUPPORT_FORUM'			=> 'Форум поддержки',
	'TRY_AGAIN'			=> 'Попытаться снова',
	'VERSION_INFO'			=> 'Информация о версии',
	'VERSION_NOT_UP_TO_DATE'	=> 'Доступна более свежая версия данного мода. Для получения дополнительной информации о новой версии мода нажмите
					   <a href="%s" title="Открыть в новом окне" target="_blank">эту ссылку</a>.',
	'WELCOME'			=> 'Добро пожаловать!',

	'CHK_DIR_PERMISSIONS'		=> 'Директория /%s/ доступна для записи.',
	'CHK_VERSION_INSTALLED'		=> 'Установленная версия: %s',
	'CHK_VERSION_LATEST'		=> 'Последняя версия: %s',
	'CHK_VERSION_PACKAGE'		=> 'Версия дистрибутива: %s',
	'CHK_PHPBB_VERSION'		=> 'phpBB версии %s или более свежей версии.',
));

/* Install */
$lang = array_merge($lang, array(
	'INSTALL'			=> 'Установка',
	'INSTALL_CONGRATS'		=> 'Поздравляем!',
	'INSTALL_CONGRATS_EXPLAIN'	=> 'Установка мода «%1$s» версии %2$s успешно завершена.<br /><br />Войдите на ваш форум и настройте «%1$s»!<br />
					   Нажмите кнопку «Вход» для входа на страницу основных настроека мода «%1$s».',
	'INSTALL_ERROR'			=> 'При установке мода возникли ошибки. Попробуйте переустановить мод или попросите помощи на сайте
					   <a href="http://www.canidev.com/" target="_blank" title="Открыть в новом окне">CaniDev.com</a>.',
	'INSTALL_NOTICE'		=> 'Установка мода успешно завершена. Нажмите кнопку «Далее» для завершения процесса.',
	'INSTALL_RESULTS'		=> 'Результаты установки',
	'INSTALL_START'			=> 'Установить',

	'CHK_CUSTOM_INSTALL'		=> 'Запуск дополнительных операций.',
	'CHK_DATABASE_INSTALL'		=> 'Создание таблиц и заполнение их первоначальными данными.',
	'CHK_MOD_CLASS'			=> 'Основной класс мода.',
	'CHK_MODULES_INSTALL'		=> 'Добавление или обновление модулей.',
	'CHK_PERMISSIONS_INSTALL'	=> 'Добавление или обновление прав доступа.',
	'CHK_SYNC_INSTALL'		=> 'Синхронизация данных.',

	'REQUIREMENTS_TITLE'		=> 'Совместимость',
	'REQUIREMENTS_EXPLAIN'		=> 'Перед тем, как запустить процесс установки мода, необходимо провести несколько тестов, чтобы убедиться,
					   что установка не вызовет никаких проблем. Пожалуйста, убедитесь, что выполняются все необходимые
					   требования для установки мода.',

	'REQ_INSTALL_NOTICE'		=> 'Настройки вашего сервера полностью удовлетворяют требованиям установки мода.',
	'REQ_INSTALL_ERROR'		=> 'Настройки вашего сервера не удовлетворяют требования установки мода. Пожалуйста, проверьте, что вы выполнили все правки во всех
					   файлах, указанных в инструкции в файле <em>install.xml</em>.',
));

/* Uninstall */
$lang = array_merge($lang, array(
	'UNINSTALL'			=> 'Удаление',
	'UNINSTALL_ERROR'		=> 'В процессе удаления мода возникли ошибки. Попробуйте переустановить мод или попросите помощи на сайте
					   <a href="http://www.canidev.com/" title="Открыть в новом окне" target="_blank">CaniDev.com</a>.',
	'UNINSTALL_INTRO'		=> 'Удаление мода.',
	'UNINSTALL_INTRO_BODY'		=> '<p>На этой странице вы можете полностью удалить мод «%1$s» с вашего форума. При этом таблицы мода
					   будут удалены из базы данных форума автоматически, но все изменения, произведенные в файлах форума во
					   время установки мода, вы должны откатить обратно вручную.</p><br />
					   <p>Учтите, что процесс удаления мода нельзя откатить обратно.</p><br />
					   <p>Для запуска процесса удаления нажмите кнопку «Удалить» в правом нижнем углу.</p>',
	'UNINSTALL_NOTICE'		=> 'Удаление мода успешно завершено. Нажмите кнопку «Далее» для завершения процесса.',
	'UNINSTALL_RESULTS'		=> 'Результаты удаления',
	'UNINSTALL_START'		=> 'Удалить',
	'UNINSTALL_SUCCEFULL'		=> 'Удаление завершено!',
	'UNINSTALL_SUCCEFULL_EXPLAIN'	=> 'Успешно удален мод «%1$s» версии %2$s.<br /><br />Войдите на ваш форум и убедитесь, что все работает!<br />
					   Нажмите на кнопку «Вход» в правом нижнем углу для входа на главную страницу форума.',

	'CHK_CUSTOM_UNINSTALL'		=> 'Запуск дополнительных операций.',
	'CHK_DATABASE_UNINSTALL'	=> 'Удаление таблиц мода из базы данных форума.',
	'CHK_MOD_INSTALLED'		=> 'Мод установлен.',
	'CHK_MODULES_UNINSTALL'		=> 'Удаление модулей.',
	'CHK_PERMISSIONS_UNINSTALL'	=> 'Удаление прав доступа.',

	'REQ_UNINSTALL_NOTICE'		=> 'Настройки вашего сервера соответствуют необходимым для удаления мода.',
	'REQ_UNINSTALL_ERROR'		=> 'Настройки вашего сервера не соответствуют необходимым для удаления мода.',
));

/* Update */
$lang = array_merge($lang, array(
	'CHK_DATABASE_UPDATE'		=> 'Обновление таблиц мода в базе данных форума.',

	'UPDATE'			=> 'Обновление',
	'UPDATE_ERROR'			=> 'Во время обновления мода возникли ошибки. Попробуйте переустановить мод или попросите помощи на сайте
					   <a href="http://www.canidev.com/" title="Открыть в новом окне" target="_blank">CaniDev.com</a>.',
	'UPDATE_INTRO'			=> 'Обновление мода.',
	'UPDATE_INTRO_BODY'		=> '<p>На этой странице вы можете обновить версию мода %1$s до самой последней версии.</p><br />
					   <p>Перед запуском процесса обновления убедитесь, что:</p>
					   <ol>
					     <li>Вы скопировали/закачали файлы последней версии %1$s мода в директорию вашего форума (с заменой старых файлов).</li>
					     <li>Вы внесли все необходимые правки в файлы форума в соответствии с инструкцией из файла
					     <em>/contrib/update/%2$s_to_%3$s/update.xml</em>.</li>
					   </ol><br />
					   <p><strong>Внимание!</strong> Перед запуском процесса обновления мода рекомендуется сделать резервную копию
					   базы данных вашего форума.</p>
					   <p>Для запуска процесса обновления мода нажмите на кнопку «Обновить» в правом нижнем углу.</p>',
	'UPDATE_NOTICE'			=> 'Обновление мода успешно завершено. Нажмите на кнопку «Далее» для завершения процесса.',
	'UPDATE_RESULTS'		=> 'Результаты обновления',
	'UPDATE_START'			=> 'Обновить',
	'UPDATE_SUCCEFULL'		=> 'Обновление завершено!',
	'UPDATE_SUCCEFULL_EXPLAIN'	=> 'Войдите на ваш форум и протестируйте мод «%1$s» новой версии %2$s! Нажмите на кнопку «Вход», чтобы попасть на главную
					   страницу настроек мода «%1$s».',
));

?>
	